function strC = printBlockCStr(timeDelta,timeDeltaMin,timeDeltaMax,multiplierHigher,multiplierLower,printTimes)

nPrintTimes = numel(printTimes);

templC = readTemplate('c');

printTimesStr = sprintf([repmat('%f ',[1,10]),'\n'],printTimes');
printTimesStr = printTimesStr(1:end-1);

strC = sprintf(templC,timeDelta,timeDeltaMin,timeDeltaMax,multiplierHigher,multiplierLower,nPrintTimes,printTimesStr);


